Bug 75510 - Using auth_ldap module causes apache to seg fault
Using auth_ldap module causes apache to seg fault
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: auth_ldap (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 07:41 EDT by Simon Annetts
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Annetts 2002-10-09 07:41:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
If you enable mod_auth_ldap.so and auth_ldap.c in the config, then apache will 
seg fault. 
This is the auth-ldap 1.4.5-1 version coupled with apache 1.3.22 both from the 
7.0 errata
Not all page loads do this, but when testing with squirrelmail it happens every 
time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Reproducable on my server running squirrelmail, but I don't know what in the 
squirrelmail code actually triggers it.
1. Enable mod_auth_ldap.so and auth_ldap.c in the config
2. Login to squirrel mail
3. Not sure what code/page content causes this but it breaks every time on my 
server after a successful login to squirrelmail
	

Expected Results:  4 apache children seg fault

Additional info:

RH7.0 with all updates up to 4th Oct 2002

Compiling the RH7.3 auth_ldap-1.6.0-4 SRPM on 7.0 and installing the binary 
cured the problem. Can this version be put into the 7.0 errata??
Maybe it affects 7.1 and 7.2 as well?
Comment 1 Bill Nottingham 2006-08-07 13:44:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:48:16 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.